## org.eclipse.uml2.uml
Interface CallAction

All Superinterfaces:
  Action, ActivityNode, Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, ExecutableNode, InvocationAction, NamedElement, org.eclipse.emf.common.notify.Notifier, RedefinableElement

All Known Subinterfaces:
  CallBehaviorAction, CallOperationAction

    public interface CallAction

extends InvocationAction

A representation of the model object 'Call Action'. CallAction is an abstract class for actions that invoke behavior and receive return values.

The following features are supported:

- `Is Synchronous`
- `Result`

See Also:
  `UMLPackage.getCallAction()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`OutputPin` `createResult(java.lang.String name, Type type)` Creates a new `OutputPin`, with the specified 'Name', and 'Type', and appends it to the 'Result' containment reference list
`OutputPin` `getResult(java.lang.String name, Type type)` Retrieves the first `OutputPin` with the specified 'Name', and 'Type' from the 'Result' containment reference list
`OutputPin` `getResult(java.lang.String name, Type type, boolean ignoreCase, boolean createOnDemand)` Retrieves the first `OutputPin` with the specified 'Name', and 'Type' from the 'Result' containment reference list
`org.eclipse.emf.common.util.EList<OutputPin>` `getResults()` Returns the value of the 'Result' containment reference list.
`boolean` `isSynchronous()` Returns the value of the 'Is Synchronous' attribute.
`void` `setIsSynchronous(boolean value)` Sets the value of the '`Is Synchronous`' attribute
`boolean` `validateNumberAndOrder(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The number and order of argument pins must be the same as the number and order of parameters of the invoked behavior or behavioral feature.
`boolean` `validateSynchronousCall(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Only synchronous call actions can have result pins.
`boolean` `validateTypeOrderingMultiplicity(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The type, ordering, and multiplicity of an argument pin must be the same as the corresponding parameter of the behavior or behavioral feature.

Methods inherited from interface org.eclipse.uml2.uml.InvocationAction
`createArgument, createArgument, getArgument, getArgument, getArguments, getOnPort, setOnPort, validateOnPortReceiver`

Methods inherited from interface org.eclipse.uml2.uml.Action
`createLocalPostcondition, createLocalPostcondition, createLocalPrecondition, createLocalPrecondition, getContext, getInput, getInput, getInputs, getLocalPostcondition, getLocalPostcondition, getLocalPostconditions, getLocalPrecondition, getLocalPrecondition, getLocalPreconditions, getOutput, getOutput, getOutputs`

Methods inherited from interface org.eclipse.uml2.uml.ExecutableNode
`createHandler, getHandlers`

Methods inherited from interface org.eclipse.uml2.uml.ActivityNode
`getActivity, getIncoming, getIncoming, getIncomings, getInGroups, getInInterruptibleRegions, getInPartition, getInPartition, getInPartitions, getInStructuredNode, getOutgoing, getOutgoing, getOutgoings, getRedefinedNode, getRedefinedNode, getRedefinedNodes, setActivity, setInStructuredNode, validateOwned, validateOwnedStructuredNode`

Methods inherited from interface org.eclipse.uml2.uml.RedefinableElement
`getRedefinedElement, getRedefinedElement, getRedefinedElements, getRedefinitionContext, getRedefinitionContext, getRedefinitionContexts, isConsistentWith, isLeaf, isRedefinitionContextValid, setIsLeaf, validateRedefinitionConsistent, validateRedefinitionContextValid`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isSynchronous

    boolean isSynchronous()

  Returns the value of the 'Is Synchronous' attribute. The default value is `"true"`. If true, the call is synchronous and the caller waits for completion of the invoked behavior. If false, the call is asynchronous and the caller proceeds immediately and does not expect a return values.

  Returns:
    the value of the 'Is Synchronous' attribute.
  See Also:
    `setIsSynchronous(boolean)`, `UMLPackage.getCallAction_IsSynchronous()`

### setIsSynchronous

    void setIsSynchronous(boolean value)

  Sets the value of the '`Is Synchronous`' attribute.

  Parameters:
    `value` - the new value of the 'Is Synchronous' attribute.
  See Also:
    `isSynchronous()`

### getResults

    org.eclipse.emf.common.util.EList<OutputPin> getResults()

  Returns the value of the 'Result' containment reference list. The list contents are of type `OutputPin`. A list of output pins where the results of performing the invocation are placed.

  Returns:
    the value of the 'Result' containment reference list.
  See Also:
    `UMLPackage.getCallAction_Result()`

### createResult

    OutputPin createResult(java.lang.String name,
                           Type type)

  Creates a new `OutputPin`, with the specified 'Name', and 'Type', and appends it to the 'Result' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `OutputPin`, or `null`.
    `type` - The 'Type' for the new `OutputPin`, or `null`.
  Returns:
    The new `OutputPin`.
  See Also:
    `getResults()`

### getResult

    OutputPin getResult(java.lang.String name,
                        Type type)

  Retrieves the first `OutputPin` with the specified 'Name', and 'Type' from the 'Result' containment reference list.

  Parameters:
    `name` - The 'Name' of the `OutputPin` to retrieve, or `null`.
    `type` - The 'Type' of the `OutputPin` to retrieve, or `null`.
  Returns:
    The first `OutputPin` with the specified 'Name', and 'Type', or `null`.
  See Also:
    `getResults()`

### getResult

    OutputPin getResult(java.lang.String name,
                        Type type,
                        boolean ignoreCase,
                        boolean createOnDemand)

  Retrieves the first `OutputPin` with the specified 'Name', and 'Type' from the 'Result' containment reference list.

  Parameters:
    `name` - The 'Name' of the `OutputPin` to retrieve, or `null`.
    `type` - The 'Type' of the `OutputPin` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `createOnDemand` - Whether to create a `OutputPin` on demand if not found.
  Returns:
    The first `OutputPin` with the specified 'Name', and 'Type', or `null`.
  See Also:
    `getResults()`

### validateSynchronousCall

    boolean validateSynchronousCall(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                    java.util.Map<java.lang.Object,java.lang.Object> context)

  Only synchronous call actions can have result pins. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateNumberAndOrder

    boolean validateNumberAndOrder(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                   java.util.Map<java.lang.Object,java.lang.Object> context)

  The number and order of argument pins must be the same as the number and order of parameters of the invoked behavior or behavioral feature. Pins are matched to parameters by order. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateTypeOrderingMultiplicity

    boolean validateTypeOrderingMultiplicity(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map<java.lang.Object,java.lang.Object> context)

  The type, ordering, and multiplicity of an argument pin must be the same as the corresponding parameter of the behavior or behavioral feature. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.